Index: trunk/RSpecExamples/exogeni-1baremetal-at-rci.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1baremetal-at-rci.rspec	(revision 1583)
+++ trunk/RSpecExamples/exogeni-1baremetal-at-rci.rspec	(revision 1583)
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This example RSpec shows how to request a Bare Metal node from the 
+RENCI ExoGENI Rack. Bare Metal nodes are only available via the 
+ExoSM aggregate at https://geni.renci.org:11443/orca/xmlrpc
+-->
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="BT2" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
+    <sliver_type name="exogeni-m4">
+    </sliver_type>
+    <interface client_id="BT2:if0">
+   <ip address="172.16.1.2" netmask="255.255.255.0" />
+    </interface>
+  </node>
+</rspec>
Index: trunk/RSpecExamples/exogeni-1vm-1baremetal-at-bbn.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-1baremetal-at-bbn.rspec	(revision 1583)
+++ trunk/RSpecExamples/exogeni-1vm-1baremetal-at-bbn.rspec	(revision 1583)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This example RSpec shows how to request 1 VM and 1 Bare Metal nodes
+from the BBN ExoGENI Rack. Bare Metal nodes are only available via the 
+ExoSM aggregate at https://geni.renci.org:11443/orca/xmlrpc
+-->
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="BT" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="exogeni-m4">
+    </sliver_type>
+    <interface client_id="BT:if0">
+   <ip address="172.16.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+
+ <node client_id="geni2" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+    </sliver_type>
+    <interface client_id="geni2:if0">
+   <ip address="172.16.1.2" netmask="255.255.255.0" />
+    </interface>
+  </node>
+
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+bbnvmsite+authority+cm"/>
+    <interface_ref client_id="BT:if0"/>
+    <interface_ref client_id="geni2:if0"/>
+    <property source_id="BT:if0" dest_id="geni2:if0" />
+    <property source_id="geni2:if0" dest_id="BT:if0" />
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: trunk/RSpecExamples/exogeni-1vm-1baremetal-at-renci.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-1baremetal-at-renci.rspec	(revision 1583)
+++ trunk/RSpecExamples/exogeni-1vm-1baremetal-at-renci.rspec	(revision 1583)
@@ -0,0 +1,43 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This example RSpec shows how to request 1 Bare Metal node and
+1 VM from the RENCI ExoGENI Rack. Bare Metal nodes are only 
+available via the ExoSM aggregate at 
+https://geni.renci.org:11443/orca/xmlrpc
+-->
+
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="BM-1" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
+    <sliver_type name="exogeni-m4">
+    </sliver_type>
+    <interface client_id="BM-1:if0">
+   <ip address="172.16.1.7" netmask="255.255.255.0" />
+    </interface>
+  </node>
+
+ <node client_id="VM-1" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.xml" version="6a8a8466aef43774bf2e309af47ce876ba793f36" />
+    </sliver_type>
+    <interface client_id="VM-1:if0">
+   <ip address="172.16.1.8" netmask="255.255.255.0" />
+    </interface>
+  </node>
+
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+rcivmsite+authority+cm"/>
+    <interface_ref client_id="BM-1:if0"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <property source_id="BM-1:if0" dest_id="VM-1:if0" />
+    <property source_id="VM-1:if0" dest_id="BM-1:if0" />
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: trunk/RSpecExamples/exogeni-1vm-at-bbn-1vm-at-rci.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-at-bbn-1vm-at-rci.rspec	(revision 1583)
+++ trunk/RSpecExamples/exogeni-1vm-at-bbn-1vm-at-rci.rspec	(revision 1583)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This example RSpec shows how to request 1 VM at BBN ExoGENI and 
+1 VM from the RENCI ExoGENI Racks. 
+-->
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="geni1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm">
+ <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+ </sliver_type>
+ <interface client_id="geni1:0">
+    <ip address="172.16.1.1" netmask="255.255.255.0" />
+ </interface>
+</node>
+
+<node client_id="geni2" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
+ <sliver_type name="m1.large">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+ </sliver_type>
+ <interface client_id="geni2:0" >
+   <ip address="172.16.1.2" netmask="255.255.255.0" />
+ </interface>
+
+</node>
+<link client_id="center">
+  <interface_ref client_id="geni1:0" />
+  <interface_ref client_id="geni2:0" />
+</link>
+</rspec>
Index: trunk/RSpecExamples/exogeni-1vm-at-bbn.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-at-bbn.rspec	(revision 1583)
+++ trunk/RSpecExamples/exogeni-1vm-at-bbn.rspec	(revision 1583)
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This example RSpec shows how to request 1 VM from the BBN 
+ExoGENI Rack. 
+-->
+
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="geni1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm">
+ <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+ </sliver_type>
+ <interface client_id="geni1:0">
+    <ip address="172.16.1.1" netmask="255.255.255.0" />
+ </interface>
+</node>
+</rspec>
Index: trunk/RSpecExamples/exogeni-1vm-at-renci.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-at-renci.rspec	(revision 1583)
+++ trunk/RSpecExamples/exogeni-1vm-at-renci.rspec	(revision 1583)
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This example RSpec shows how to request 1 VM from the RENCI 
+ExoGENI Rack. 
+-->
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+<node client_id="geni1" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
+ <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+ </sliver_type>
+ <interface client_id="geni1:0">
+    <ip address="172.16.1.1" netmask="255.255.255.0" />
+ </interface>
+</node>
+</rspec>
Index: trunk/RSpecExamples/exogeni-1vm-vlan1750-at-bbn.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-vlan1750-at-bbn.rspec	(revision 1583)
+++ trunk/RSpecExamples/exogeni-1vm-vlan1750-at-bbn.rspec	(revision 1583)
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This example RSpec shows how to request 1 VM from the BBN 
+ExoGENI Rack on shared OpenFlow VLAN 1750.
+-->
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+  <node client_id="host1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+    </sliver_type>
+    <interface client_id="host1:if0">
+   <ip address="10.42.11.20" netmask="255.255.0.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <interface_ref client_id="host1:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
Index: trunk/RSpecExamples/exogeni-1vm-vlan1750-at-rci.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-vlan1750-at-rci.rspec	(revision 1583)
+++ trunk/RSpecExamples/exogeni-1vm-vlan1750-at-rci.rspec	(revision 1583)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This example RSpec shows how to request 1 VM from the RENCI 
+ExoGENI Rack on shared OpenFlow VLAN 1750.
+-->
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+  <node client_id="VM" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+    </sliver_type>
+    <interface client_id="VM:if0">
+   <ip address="10.42.11.25" netmask="255.255.255.0" />
+    </interface>
+  </node>
+
+  <link client_id="lan0">
+    <interface_ref client_id="VM:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
Index: trunk/RSpecExamples/exogeni-2vm-vlan1750-at-bbn.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-2vm-vlan1750-at-bbn.rspec	(revision 1583)
+++ trunk/RSpecExamples/exogeni-2vm-vlan1750-at-bbn.rspec	(revision 1583)
@@ -0,0 +1,37 @@
+<!-- 
+This example RSpec shows how to request 2 VMs from the BBN 
+ExoGENI Rack on shared OpenFlow VLAN 1750
+-->
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.xml" version="0866827ee71324fbbe273c9e8f4f1c142a548e11" />
+    </sliver_type>
+    <interface client_id="VM-1:if0">
+   <ip address="10.42.11.15" netmask="255.255.0.0" />
+    </interface>
+  </node>
+
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.xml" version="0866827ee71324fbbe273c9e8f4f1c142a548e11" />
+    </sliver_type>
+    <interface client_id="VM-2:if0">
+   <ip address="10.42.11.16" netmask="255.255.255.0" />
+    </interface>
+  </node>
+
+  <link client_id="lan0">
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
Index: trunk/RSpecExamples/exogeni-4vm-at-renci.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-4vm-at-renci.rspec	(revision 1583)
+++ trunk/RSpecExamples/exogeni-4vm-at-renci.rspec	(revision 1583)
@@ -0,0 +1,54 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This example RSpec shows how to request 4 VMs from the BBN 
+ExoGENI Rack. 
+-->
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
+    <sliver_type name="m1.small">
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.xml" version="6a8a8466aef43774bf2e309af47ce876ba793f36" />
+ </sliver_type>
+   <interface client_id="VM-1:if0">
+      <ip address="172.16.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
+    <sliver_type name="m1.large">
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-5g.zfilesystem.sparse.xml" version="d74dfdb68836fca8240fb634de8c4bc2e40f592e" />
+ </sliver_type>
+    <interface client_id="VM-2:if0">
+      <ip address="172.16.1.2" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-3" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
+    <sliver_type name="m1.large">
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-10g.zfilesystem.sparse.xml" version="4164446d4ae96087b49ba81e9a3d6b2bc305d004" />
+ </sliver_type>
+    <interface client_id="VM-3:if0">
+     <ip address="172.16.1.3" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-4" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
+    <sliver_type name="m1.large">
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-20g.zfilesystem.sparse.xml" version="ec57dafbbf998e8ae5bb8feff95d5c19d466cc40" />
+ </sliver_type>
+    <interface client_id="VM-4:if0">
+    <ip address="172.16.1.4" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+rcivmsite+authority+cm"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <interface_ref client_id="VM-3:if0"/>
+    <interface_ref client_id="VM-4:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: trunk/RSpecExamples/exogeni-openflow-at-bbn.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-openflow-at-bbn.rspec	(revision 1583)
+++ trunk/RSpecExamples/exogeni-openflow-at-bbn.rspec	(revision 1583)
@@ -0,0 +1,43 @@
+<!-- 
+This example RSpec shows how to request the OpenFlow datapath for 
+the BBN ExoGENI Rack on shared OpenFlow VLAN 1750
+
+AM: https://foam.gpolab.bbn.com:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="Sliver to allow BBN ExoGENI and other OF Sites communication over over backbone VLAN 3716 "
+                   email="yourname@site.com">
+
+    <openflow:controller url="tcp:yourhost.site.com:33020" type="primary" />
+
+    <openflow:group name="Site-1750-nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port num="5"/>
+        <openflow:port num="15"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="Site-1750-nlr-3716" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+  </openflow:sliver>
+
+</rspec>
Index: trunk/RSpecExamples/instageni-1vm-1rawpc-at-utah.rspec
===================================================================
--- trunk/RSpecExamples/instageni-1vm-1rawpc-at-utah.rspec	(revision 1583)
+++ trunk/RSpecExamples/instageni-1vm-1rawpc-at-utah.rspec	(revision 1583)
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This example RSpec shows how to request 1 raw-pc and 1 VM from the 
+Utah InstaGENI Rack. 
+-->
+
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+ <node client_id="VM" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="PC" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="true">
+    <sliver_type name="raw-pc"/>
+    <interface client_id="PC:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="VM:if0"/>
+    <interface_ref client_id="PC:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: trunk/RSpecExamples/instageni-2vm-vlan1750-at-utah.rspec
===================================================================
--- trunk/RSpecExamples/instageni-2vm-vlan1750-at-utah.rspec	(revision 1583)
+++ trunk/RSpecExamples/instageni-2vm-vlan1750-at-utah.rspec	(revision 1583)
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will two VMs on VLAN 1750 at the InstaGENI rack at Utah,
+Only one node is used for IG-CT-4 New Site Confirmation Tests.
+AM: http://utah.geniracks.net/protogeni/xmlrpc/am
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="utah-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-ig:if0">
+      <ip address="10.42.11.33" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <node client_id="utah-ig2" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-ig2:if0">
+      <ip address="10.42.11.32" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="utah-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+  <link client_id="openflow-mesoscale-1">
+    <interface_ref client_id="utah-ig2:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: trunk/RSpecExamples/instageni-4vm-at-utah.rspec
===================================================================
--- trunk/RSpecExamples/instageni-4vm-at-utah.rspec	(revision 1583)
+++ trunk/RSpecExamples/instageni-4vm-at-utah.rspec	(revision 1583)
@@ -0,0 +1,47 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+This example RSpec shows how to request 4 VMs from the
+Utah InstaGENI Rack. 
+-->
+
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM-1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM-2:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="VM-3" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM-3:if0">
+      <ip address="192.168.1.3" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="VM-4" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM-4:if0">
+      <ip address="192.168.1.4" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <interface_ref client_id="VM-3:if0"/>
+    <interface_ref client_id="VM-4:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: trunk/RSpecExamples/instageni-openflow-at-utah.rspec
===================================================================
--- trunk/RSpecExamples/instageni-openflow-at-utah.rspec	(revision 1583)
+++ trunk/RSpecExamples/instageni-openflow-at-utah.rspec	(revision 1583)
@@ -0,0 +1,44 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This example RSpec shows how to request the OpenFlow datapath for the
+Utah InstaGENI Rack on shared OpenFlow VLAN 1750
+
+AM: https://foam.utah.geniracks.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="Sliver to allow Utah InstaGENI and other OF Sites communication over over backbone VLAN 3716 "
+                   email="yourname@site.com">
+
+
+    <openflow:controller url="tcp:yourhost.site.com:33020" type="primary" />
+
+
+    <openflow:group name="utah-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:ig-utah+datapath+06:d6:00:24:a8:5d:0b:00" 
+		         component_manager_id="urn:publicid:IDN+openflow:foam:ig-utah+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="utah-instageni-1750" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/RSpecExamples/protogeni-1vm-vlan1750-at-utah.rspec
===================================================================
--- trunk/RSpecExamples/protogeni-1vm-vlan1750-at-utah.rspec	(revision 1583)
+++ trunk/RSpecExamples/protogeni-1vm-vlan1750-at-utah.rspec	(revision 1583)
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve one VM on shared OpenFlow VLAN 1750 
+at the PG Utah site.
+
+AM: http://www.emulab.net/protogeni/xmlrpc/am/2.0
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+  <node client_id="utah-pg" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-pg:if0">
+      <ip address="10.42.11.34" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="mesoscale-openflow-0">
+    <interface_ref client_id="utah-pg:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: trunk/RSpecExamples/protogeni-2vm.rspec
===================================================================
--- trunk/RSpecExamples/protogeni-2vm.rspec	(revision 1583)
+++ trunk/RSpecExamples/protogeni-2vm.rspec	(revision 1583)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve two VMs on shared OpenFlow VLAN 1750 
+at the PG Utah site.
+
+AM: http://www.emulab.net/protogeni/xmlrpc/am/2.0
+-->
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="host1" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+      <interface client_id="host1:if0" />
+      <interface client_id="host1:if1" />
+  </node>
+
+  <node client_id="host2" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+      <interface client_id="host2:if0" />
+      <interface client_id="host2:if1" />
+  </node>
+
+  <link client_id="host1-and-host2-0">
+    <interface_ref client_id="host1:if0"/>
+    <interface_ref client_id="host2:if0"/>
+    <property source_id="host1:if0" dest_id="host2:if0"/>
+    <property source_id="host2:if0" dest_id="host1:if0"/>
+  </link>
+
+  <link client_id="host1-and-host2-1">
+    <interface_ref client_id="host1:if1"/>
+    <interface_ref client_id="host2:if1"/>
+    <property source_id="host1:if1" dest_id="host2:if1"/>
+    <property source_id="host2:if1" dest_id="host1:if1"/>
+  </link>
+</rspec>
